import { UIStore } from "ui/domain/uiStore";

type ShowSearchbarUIStore = Pick<
  UIStore,
  "isSearchbarShown" | "searchbarShown"
>;

const showSearchbarUseCase = (
  store: ShowSearchbarUIStore
) => {
  store.searchbarShown(true);
};

export { showSearchbarUseCase };
